Download it now!
Bug 115639 - Align right/center with trailing spaces aren't treated the same in PPT(X) as in DOC(X)
Summary: Align right/center with trailing spaces aren't treated the same in PPT(X) as ...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:ppt, filter:pptx
Depends on:
Blocks: PPTX-Paragraph
  Show dependency treegraph
 
Reported: 2018-02-12 06:19 UTC by Aron Budea
Modified: 2020-04-11 05:42 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot (11.32 KB, image/png)
2018-02-12 06:19 UTC, Aron Budea
Details
Sample PPTX (28.84 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2018-02-12 06:20 UTC, Aron Budea
Details
Sample PPT (83.50 KB, application/vnd.ms-powerpoint)
2018-02-12 06:20 UTC, Aron Budea
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Aron Budea 2018-02-12 06:19:02 UTC
Created attachment 139806 [details]
Screenshot

In MS Office, when a paragraph is right-aligned, the alignment is done to the word even if there are extra spaces at the end.
In LibreOffice, the alignment considers those spaces as well.

Handling this has been implemented for DOC(X) files in LO 5.4 (bug 104668), but it's not handled in PPT(X) files.

Attaching a sample PPT/PPTX, in both lines the words should be aligned exactly to the end (screenshot from PowerPoint also attached).

Observed using LO 6.0.1.1 / Windows 7.
Comment 1 Aron Budea 2018-02-12 06:20:10 UTC
Created attachment 139807 [details]
Sample PPTX
Comment 2 Aron Budea 2018-02-12 06:20:39 UTC
Created attachment 139808 [details]
Sample PPT
Comment 3 Kevin Suo 2018-02-12 07:00:31 UTC
I confirm this with
Version: 6.0.1.1
Build ID:60bfb1526849283ce2491346ed2aa51c465abfe6
CPU 线程:4; 操作系统:Linux 4.14; UI 渲染:默认; VCL: gtk2; 
区域语言:zh-CN (zh_CN.UTF-8); Calc: group

the align in MSO 2010 is to the right including the spaces, but in Writer the spaces are showing.
Comment 4 Aron Budea 2018-02-12 07:38:54 UTC
Same with centered text.
Comment 5 Commit Notification 2018-02-17 06:51:02 UTC
Tamás Zolnai committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1da3a3cb74a415a76fa547ef0c8f61780e260e7f

tdf#115639: Align right/center with trailing spaces the same as MS PowerPoint

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2018-02-19 22:39:20 UTC
Tamás Zolnai committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f0485ba2d90aae0312f5775588f22789016165d2

tdf#115639: Handle alignment correctly for multiple paragraph case

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2018-11-16 17:23:02 UTC
Tamás Zolnai committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/cb1d625aee558c9aa3c0bf3ea44b65f37dca48a8%5E%21

Revert "tdf#115639: Align right/center with trailing spaces the same"

It will be available in 6.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.